Subject: Re: Joining Repositories

From: Mathias Waack <[email-masked]>
Date: Thu, 19 Jan 2006 12:36:58 +0100

Hello Petr, 

On Wednesday 18 January 2006 03:14 pm, Petr Baudis wrote:
> > ...git-read-tree doesn't know the parameter --prefix (just downloaded and
> > tried it on 0.99.9i). What version shall I use?
>
>   oops, it seems this is only in the latest pu branch of git. If you are
> not brave enough for that, 

I think I am;) 

> you will need to use the prefix facility of 
> checkout-index instead, and it'll take much longer:
>
> 	git-read-tree $commit
> 	git-checkout-index -a --prefix=r1/
> 	rm .git/index
> 	cg-add -r r1/
> 	rm -rf r1
> 	.. then proceed with git-cat-file etc ..

Time doesn't matter (in this case). This solution seems to work. 

>   Note that I'm not sure when which feature was introduced. Your best
> bet is to just use the latest stable GIT/Cogito versions.

Thanks for your suggestions, I've got a working solution. Now I'm going to 
spend the remaining days of this week by trying to understand why it works. 

Mathias